org.eclipse.viatra.query.patternlanguage.emf.services

## Class EMFPatternLanguageGrammarAccess.ModifiersElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - org.eclipse.viatra.query.patternlanguage.emf.services.EMFPatternLanguageGrammarAccess.ModifiersElements

- All Implemented Interfaces:
    org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess
  Enclosing class:
    EMFPatternLanguageGrammarAccess

      public class EMFPatternLanguageGrammarAccess.ModifiersElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModifiersElements()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.Assignment` | `getExecutionAssignment_1_1()`
    `org.eclipse.xtext.RuleCall` | `getExecutionExecutionTypeModifierEnumRuleCall_1_1_0()`
    `org.eclipse.xtext.Group` | `getGroup()`
    `org.eclipse.xtext.Action` | `getModifiersAction_0()`
    `org.eclipse.xtext.Assignment` | `getPrivateAssignment_1_0()`
    `org.eclipse.xtext.Keyword` | `getPrivatePrivateKeyword_1_0_0()`
    `org.eclipse.xtext.ParserRule` | `getRule()`
    `org.eclipse.xtext.UnorderedGroup` | `getUnorderedGroup_1()`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModifiersElements

          public ModifiersElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getModifiersAction_0

          public org.eclipse.xtext.Action getModifiersAction_0()

    - #### getUnorderedGroup_1

          public org.eclipse.xtext.UnorderedGroup getUnorderedGroup_1()

    - #### getPrivateAssignment_1_0

          public org.eclipse.xtext.Assignment getPrivateAssignment_1_0()

    - #### getPrivatePrivateKeyword_1_0_0

          public org.eclipse.xtext.Keyword getPrivatePrivateKeyword_1_0_0()

    - #### getExecutionAssignment_1_1

          public org.eclipse.xtext.Assignment getExecutionAssignment_1_1()

    - #### getExecutionExecutionTypeModifierEnumRuleCall_1_1_0

          public org.eclipse.xtext.RuleCall getExecutionExecutionTypeModifierEnumRuleCall_1_1_0()